### Enumeration

# Qmi SioPort

since: 1.28

#### Declaration

    enum Qmi.SioPort

#### Description [src]

SIO (serial I/O) port numbers. All ports available in the modem have a SIO port number. This enum is incomplete, only few port numbers are publicly known.

Available since: 1.28

#### Members

`QMI_SIO_PORT_NONE`

  Invalid port number.

  - Value: `0`
  - Available since: 1.28
`QMI_SIO_PORT_A2_MUX_RMNET0`

  A2 MUX (BAM-DMUX) port for rmnet0.

  - Value: `3588`
  - Available since: 1.28
`QMI_SIO_PORT_A2_MUX_RMNET1`

  A2 MUX (BAM-DMUX) port for rmnet1.

  - Value: `3589`
  - Available since: 1.28
`QMI_SIO_PORT_A2_MUX_RMNET2`

  A2 MUX (BAM-DMUX) port for rmnet2.

  - Value: `3590`
  - Available since: 1.28
`QMI_SIO_PORT_A2_MUX_RMNET3`

  A2 MUX (BAM-DMUX) port for rmnet3.

  - Value: `3591`
  - Available since: 1.28
`QMI_SIO_PORT_A2_MUX_RMNET4`

  A2 MUX (BAM-DMUX) port for rmnet4.

  - Value: `3592`
  - Available since: 1.28
`QMI_SIO_PORT_A2_MUX_RMNET5`

  A2 MUX (BAM-DMUX) port for rmnet5.

  - Value: `3593`
  - Available since: 1.28
`QMI_SIO_PORT_A2_MUX_RMNET6`

  A2 MUX (BAM-DMUX) port for rmnet6.

  - Value: `3594`
  - Available since: 1.28
`QMI_SIO_PORT_A2_MUX_RMNET7`

  A2 MUX (BAM-DMUX) port for rmnet7.

  - Value: `3595`
  - Available since: 1.28

#### Type functions

###### qmi_sio_port_get_string

Gets the nickname string for the `QmiSioPort` specified at `val`.

since: 1.28